package com.czg.account.service;

import com.czg.account.dto.ShopPayTypeDTO;
import com.mybatisflex.core.service.IService;
import com.czg.account.entity.ShopPayType;

import java.util.List;

/**
 * 店铺支付类型 服务层。
 *
 * @author zs
 * @since 2025-02-26
 */
public interface ShopPayTypeService extends IService<ShopPayType> {

    List<ShopPayType> getList(Long shopId);

    Boolean add(Long shopId, ShopPayType shopPayType);

    Boolean edit(Long shopId, ShopPayTypeDTO shopPayTypeDTO);

    void addInfo(Long shopId);

    /**
     * 拖动排序
     * @param shopId 店铺ID
     * @param payTypeId 当前拖动的支付类型ID
     * @param targetSort 目标排序号
     */
    void updateSort(Long shopId, Integer payTypeId, Integer targetSort);
}
